#include <stdlib.h>

#include "include/main.h"
#include "include/apple.h"

Apple *new_apple(int x, int y) {
    Apple *a;
    a = (Apple *)malloc(sizeof(Apple));
    if (!a)
        die("apple.c: new_apple(): 'a' is null pointer");

    a->x = x;
    a->y = y;

    return a;
}

void delete_apple(Apple *a) {
    free_s(a);
}

void apple_relocate(Apple *a, int x, int y) {
    if (!a)
        die("apple.c: apple_relocate(): 'a' is null pointer");

    a->x = x;
    a->y = y;
}
